<?php
/**
 * @package	HikaShop for Joomla!
 * @version	4.4.4
 * @author	hikashop.com
 * @copyright	(C) 2010-2021 HIKARI SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\HTML\HTMLHelper;
?><?php
class fieldOpt_courses_options
{

    public function show($value)
    {

    }

    public function save(&$options)
    {


    }
}

require_once JPATH_ADMINISTRATOR . "/components/com_hikashop/classes/field.php";

class hikashopMoojla_course_completed_restriction extends hikashopFieldMultipledropdown
{

    public $prefix = null;
    public $suffix = null;
    public $excludeValue = null;
    public $report = null;
    public $parent = null;
    public $displayFor = false;
    protected $params = null;

    public function __construct(&$obj)
    {
    }

    public function show(&$field, $value)
    {


    }
    function display($field, $value, $map, $inside, $options = '', $test = false, $allFields = null, $allValues = null)
    {

        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select('id, username');
        $query->from($db->quoteName('#__users', 'u'));

        $db->setQuery($query);
        $results = $db->loadObjectList();

        $values= [];
        foreach ($results as $result)
        {
            $values[$result->id]= $result->username;
        }

        $nameboxType = hikashop_get('type.namebox');
        if(!is_array($value))
            $value = explode(',', trim($value));
        echo $nameboxType->display(
            $map,
            $value,
            hikashopNameboxType::NAMEBOX_MULTIPLE,
            'rawlist',
            array(
                'delete' => true,
                'sort' => true,
                'default_text' => '<em>'.JText::_('HIKA_NONE').'</em>',
                'rawdata' => $values,
            )
        );

//        return parent::display($field, $value, $map, $inside, $options, $test, $allFields, $allValues);
    }

}

